<script  setup lang="ts">
import { useCategoryStore } from "@/stores/category";
import { useOrderStore } from "@/stores/order";
import { onMounted, ref } from "vue";
import type { VForm } from "vuetify/components";
const form = ref<VForm | null>(null);
const orderStore = useOrderStore();
async function save() {
    const { valid } = await form.value!.validate();
    if (valid) {
        await orderStore.saveAddress(orderStore.editedOrder.address);
        orderStore.dialog = false; 
    }
}


onMounted(async () => {
});
</script>
<template>
  <v-dialog v-model="orderStore.dialog" persistent width="1024">
    <v-card>
      <v-card-title>
        <span class="text-h5">ที่อยู่การจัดส่ง</span>
      </v-card-title>
      <v-card-text>
        <v-form ref="form">
          <v-container>
            <v-row>
              <div>ชื่อผู้รับ/เบอร์โทรศัพท์/ที่อยู่จัดส่ง</div>
            </v-row>
            <v-row>
              <v-col >
                <v-text-field required v-model="orderStore.editedOrder.address" :rules="[
                  (v) => !!v || 'ชื่อผู้รับห้ามว่าง',
                  (v) => v.length >= 3 || 'กรุณากรอกข้อมูลให้ครบถ้วน',
                ]"></v-text-field>
              </v-col>
            </v-row>
          </v-container>
        </v-form>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue-darken-1" variant="text" @click="orderStore.dialog = false">
          ปิด
        </v-btn>
        <v-btn color="blue-darken-1" variant="text" @click="save"> บันทึก </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<style scoped></style>